export interface Search {
  searchItems?: MappingObject<string>;
  global?: string | undefined;
}

export class Search implements Search {
  constructor() {
    this.searchItems = {};
    this.global = undefined;
  }
}

export type MappingObject<T = any> = Map<string, T> | { [key: string]: T };
